Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003495TestLinkRequirement Managementpublic2010-05-27 19:072010-07-02 18:35
Reporterdifool 
Assigned Tofman 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS VersionXP sp2
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 5 
Summary0003495: Requirements Bulk Assignment crash.
DescriptionWhenever we want to make requirements bulks assignement a crash occurs:

Fatal error: Call to a member function fetchColumnsIntoMap() on a non-object in C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink19\lib\functions\tree.class.php on line 90


When we use Assign Requirements to Test Case it doesn't crash.
Steps To Reproduce1 - Create a lot of requirements.
2 - Create a lot of TC.
3 - Try to make bulk assignement.
Additional InformationFor the test project tested:
- The requirements tree has around 50 requirements (divided into roughly 20 requirements suites).
- The TC cases tree has around 697 TC (divided into roughly 50 test suites).
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3.6.3 and IE 7.0.5730
PHP VersionPHP 5.2.8 + Apache 2.2.11 + Mysql 5.1.3 and PHP 5.2.11 + Apache 2.0 + MySql 5.1.39
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0010211)
fman (administrator)
2010-06-02 08:22

To fix it:

search file: reqTcAssign.php
open file and search for this text

    case 'bulkassign':
           $tsuite_mgr = new testsuite($dbHandler); <<<--- WRONG
           $tsuite_mgr = new testsuite($db); <<<--- FIX THE PROBLEM
(0010494)
fman (administrator)
2010-07-02 18:35

1.9 Beta 5 released

- Issue History
Date Modified Username Field Change
2010-05-27 19:07 difool New Issue
2010-06-01 05:38 fman Assigned To => fman
2010-06-01 05:38 fman Status new => assigned
2010-06-02 08:22 fman Note Added: 0010211
2010-06-02 08:23 fman Status assigned => resolved
2010-06-02 08:23 fman Fixed in Version => 1.9 Beta 5
2010-06-02 08:23 fman Resolution open => fixed
2010-07-02 18:35 fman Note Added: 0010494
2010-07-02 18:35 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker